//
//  ResponseCodeDetails.swift
//  S Responses
//
//  Created by Sebastian Keet on 12/8/21.
//
import Foundation
import SwiftUI


let responseCodes: [responseType] = [
	//MARK: 100
	responseType(name: "Informational", responses: [
		responseDec(responseCode: 100,
					responseCodeTitle: "Continue",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Informational",
					detailedDef: "The client SHOULD continue with its request. This interim response is used to inform the client that the initial part of the request has been received and has not yet been rejected by the server. The client SHOULD continue by sending the remainder of the request or, if the request has already been completed, ignore this response. The server MUST send a final response after the request has been completed."),
		responseDec(responseCode: 101,
					responseCodeTitle: "Switching Protocols",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Informational",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 102,
					responseCodeTitle: "Processing (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Informational",
					detailedDef: "If this issue persists please contact the development team.")
	]),
	//MARK: 200
	responseType(name: "Success", responses: [
		responseDec(responseCode: 200,
					responseCodeTitle: "OK",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 201,
					responseCodeTitle: "Created",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 202,
					responseCodeTitle: "Accepted",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 203,
					responseCodeTitle: "Non-Authoritative Information",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 204,
					responseCodeTitle: "No Content",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 205,
					responseCodeTitle: "Reset Content",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 206,
					responseCodeTitle: "Partial Content",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 207,
					responseCodeTitle: "Multi-Status (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 208,
					responseCodeTitle: "Already Reported (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 226,
					responseCodeTitle: "IM Used",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Success",
					detailedDef: "If this issue persists please contact the development team.")
		
	]),
	//MARK: 300
	responseType(name: "Redirection", responses: [
		responseDec(responseCode: 300,
					responseCodeTitle: "Multiple Choices",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 301,
					responseCodeTitle: "Moved Permanently",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 302,
					responseCodeTitle: "Found",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 303,
					responseCodeTitle: "See Other",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 304,
					responseCodeTitle: "Not Modified",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 305,
					responseCodeTitle: "Use Proxy",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 306,
					responseCodeTitle: "(Unused)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 307,
					responseCodeTitle: "Temporary Redirect",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 308,
					responseCodeTitle: "Permanent Redirect (experimental)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Redirection",
					detailedDef: "If this issue persists please contact the development team.")
	]),
	//MARK: 400
	responseType(name: "Client Error", responses: [
		responseDec(responseCode: 400,
					responseCodeTitle: "Bad Request",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 401,
					responseCodeTitle: "Unauthorised",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 402,
					responseCodeTitle: "Payment Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 403,
					responseCodeTitle: "Forbidden",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 404,
					responseCodeTitle: "Not Found",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 405,
					responseCodeTitle: "Method Not Allowed",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 406,
					responseCodeTitle: "Not Acceptable",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 407,
					responseCodeTitle: "Proxy Authentication Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 408,
					responseCodeTitle: "Request Timeout",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 409,
					responseCodeTitle: "Conflict",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 410,
					responseCodeTitle: "Gone",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 411,
					responseCodeTitle: "Length Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 412,
					responseCodeTitle: "Precondition Failed",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 413,
					responseCodeTitle: "Request Entity Too Large",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 414,
					responseCodeTitle: "Request-URI Too Long",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 415,
					responseCodeTitle: "Unsupported Media Type",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 416,
					responseCodeTitle: "Requested Range Not Satisfiable",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 417,
					responseCodeTitle: "Expectation Failed",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 418,
					responseCodeTitle: "I'm A Teapot (RFC 2324)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 420,
					responseCodeTitle: "Enhance Your Calm (Twitter)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 422,
					responseCodeTitle: "Unprocessable Entity (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 423,
					responseCodeTitle: "Locked (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 424,
					responseCodeTitle: "Failed Dependency (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 425,
					responseCodeTitle: "Reserved for WebDAV",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 426,
					responseCodeTitle: "Upgrade Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 428,
					responseCodeTitle: "Precondition Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 429,
					responseCodeTitle: "Too Many Requests",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 431,
					responseCodeTitle: "Request Header Fields Too Large",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 444,
					responseCodeTitle: "No Response (Nginx)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 449,
					responseCodeTitle: "Retry With (Microsoft)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 450,
					responseCodeTitle: "Blocked by Windows Parental Controls (Microsoft)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 451,
					responseCodeTitle: "Unavailable For Legal Reasons",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 499,
					responseCodeTitle: "Client Closed Request (Nginx)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Client Error",
					detailedDef: "If this issue persists please contact the development team.")
		
	]),
	//MARK: 500
	responseType(name: "Server Error", responses: [
		responseDec(responseCode: 500,
					responseCodeTitle: "Internal Server Error",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 501,
					responseCodeTitle: "Not Implemented",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 502,
					responseCodeTitle: "Bad Gateway",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 503,
					responseCodeTitle: "Service Unavailable",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 504,
					responseCodeTitle: "Gateway Timeout",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 505,
					responseCodeTitle: "HTTP Version Not Supported",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 506,
					responseCodeTitle: "Variant Also Negotiates (Experimental)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 507,
					responseCodeTitle: "Insufficient Storage (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 508,
					responseCodeTitle: "Loop Detected (WebDAV)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 509,
					responseCodeTitle: "Bandwidth Limit Exceeded (Apache)",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 510,
					responseCodeTitle: "Not Extended",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 511,
					responseCodeTitle: "Network Authentication Required",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 598,
					responseCodeTitle: "Network read timeout error",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team."),
		responseDec(responseCode: 599,
					responseCodeTitle: "Network connect timeout error",
					simplifiedDef: "An unexpected error has occured, please restart the application.",
					responseCodeType: "Server Error",
					detailedDef: "If this issue persists please contact the development team.")
		
	])
]


class ResponseCodes {
	//MARK: Error Code
	let res000 = responseDec(responseCode: 000,
							 responseCodeTitle: "!!!",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "!!!",
							 detailedDef: "If this issue persists please contact the development team.")
	
	//MARK: 1** Response Codes
	let res100 = responseDec(responseCode: 100,
							 responseCodeTitle: "Continue",
							 simplifiedDef: "Simplified Error",
							 responseCodeType: "Informational",
							 detailedDef: "The client SHOULD continue with its request. This interim response is used to inform the client that the initial part of the request has been received and has not yet been rejected by the server. The client SHOULD continue by sending the remainder of the request or, if the request has already been completed, ignore this response. The server MUST send a final response after the request has been completed.")
	let res101 = responseDec(responseCode: 101,
							 responseCodeTitle: "Switching Protocols",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Informational",
							 detailedDef: "If this issue persists please contact the development team.")
	let res102 = responseDec(responseCode: 102,
							 responseCodeTitle: "Processing (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Informational",
							 detailedDef: "If this issue persists please contact the development team.")
	
	//MARK: 2** Response Codes
	let res200 = responseDec(responseCode: 200,
							 responseCodeTitle: "Ok",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res201 = responseDec(responseCode: 201,
							 responseCodeTitle: "Created",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res202 = responseDec(responseCode: 202,
							 responseCodeTitle: "Accepted",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res203 = responseDec(responseCode: 203,
							 responseCodeTitle: "Non-Authoritative Information",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res204 = responseDec(responseCode: 204,
							 responseCodeTitle: "No Content",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res205 = responseDec(responseCode: 205,
							 responseCodeTitle: "Reset Content",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res206 = responseDec(responseCode: 206,
							 responseCodeTitle: "Partial Content",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res207 = responseDec(responseCode: 207,
							 responseCodeTitle: "Multi-Status (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res208 = responseDec(responseCode: 208,
							 responseCodeTitle: "Already Reported (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	let res226 = responseDec(responseCode: 226,
							 responseCodeTitle: "IM Used",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Success",
							 detailedDef: "If this issue persists please contact the development team.")
	
	//MARK: 3** Response Codes
	let res300 = responseDec(responseCode: 300,
							 responseCodeTitle: "Multiple Choices",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res301 = responseDec(responseCode: 301,
							 responseCodeTitle: "Moved Permanently",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res302 = responseDec(responseCode: 302,
							 responseCodeTitle: "Found",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res303 = responseDec(responseCode: 303,
							 responseCodeTitle: "See Other",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res304 = responseDec(responseCode: 304,
							 responseCodeTitle: "Not Modified",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res305 = responseDec(responseCode: 305,
							 responseCodeTitle: "Use Proxy",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res306 = responseDec(responseCode: 306,
							 responseCodeTitle: "(Unused)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res307 = responseDec(responseCode: 307,
							 responseCodeTitle: "Temporary Redirect",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	let res308 = responseDec(responseCode: 308,
							 responseCodeTitle: "Permanent Redirect (experimental)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Redirection",
							 detailedDef: "If this issue persists please contact the development team.")
	
	//MARK: 4** Response Codes
	let res400 = responseDec(responseCode: 400,
							 responseCodeTitle: "Bad Request",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res401 = responseDec(responseCode: 401,
							 responseCodeTitle: "Unauthorised",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res402 = responseDec(responseCode: 402,
							 responseCodeTitle: "Payment Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res403 = responseDec(responseCode: 403,
							 responseCodeTitle: "Forbidden",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res404 = responseDec(responseCode: 404,
							 responseCodeTitle: "Not Found",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res405 = responseDec(responseCode: 405,
							 responseCodeTitle: "Method Not Allowed",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res406 = responseDec(responseCode: 406,
							 responseCodeTitle: "Not Acceptable",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res407 = responseDec(responseCode: 407,
							 responseCodeTitle: "Proxy Authentication Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res408 = responseDec(responseCode: 408,
							 responseCodeTitle: "Request Timeout",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res409 = responseDec(responseCode: 409,
							 responseCodeTitle: "Conflict",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res410 = responseDec(responseCode: 410,
							 responseCodeTitle: "Gone",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res411 = responseDec(responseCode: 411,
							 responseCodeTitle: "Length Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res412 = responseDec(responseCode: 412,
							 responseCodeTitle: "Precondition Failed",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res413 = responseDec(responseCode: 413,
							 responseCodeTitle: "Request Entity Too Large",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res414 = responseDec(responseCode: 414,
							 responseCodeTitle: "Request-URI Too Long",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res415 = responseDec(responseCode: 415,
							 responseCodeTitle: "Unsupported Media Type",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res416 = responseDec(responseCode: 416,
							 responseCodeTitle: "Requested Range Not Satisfiable",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res417 = responseDec(responseCode: 417,
							 responseCodeTitle: "Expectation Failed",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res418 = responseDec(responseCode: 418,
							 responseCodeTitle: "I', A Teapot (RFC 2324)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res420 = responseDec(responseCode: 420,
							 responseCodeTitle: "Enhance Your Calm (Twitter)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res422 = responseDec(responseCode: 422,
							 responseCodeTitle: "Unprocessable Entity (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res423 = responseDec(responseCode: 423,
							 responseCodeTitle: "Locked (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res424 = responseDec(responseCode: 424,
							 responseCodeTitle: "Failed Dependency (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res425 = responseDec(responseCode: 425,
							 responseCodeTitle: "Reserverd for WebDAV",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res426 = responseDec(responseCode: 426,
							 responseCodeTitle: "Upgrade Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res428 = responseDec(responseCode: 428,
							 responseCodeTitle: "Precondition Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res429 = responseDec(responseCode: 429,
							 responseCodeTitle: "Too Many Requests",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res431 = responseDec(responseCode: 431,
							 responseCodeTitle: "Request Header Fields Too Large",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res444 = responseDec(responseCode: 444,
							 responseCodeTitle: "No Response (Nginx)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res449 = responseDec(responseCode: 449,
							 responseCodeTitle: "Retry With (Microsoft)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res450 = responseDec(responseCode: 450,
							 responseCodeTitle: "Blocked by Windows Parental Controls (Microsoft)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res451 = responseDec(responseCode: 451,
							 responseCodeTitle: "Unavailable For Legal Reasons",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res499 = responseDec(responseCode: 499,
							 responseCodeTitle: "Client Closed Request (Nginx)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Client Error",
							 detailedDef: "If this issue persists please contact the development team.")
	
	//MARK: 5** Response Codes
	let res500 = responseDec(responseCode: 500,
							 responseCodeTitle: "Internal Server Error",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res501 = responseDec(responseCode: 501,
							 responseCodeTitle: "Not Implemented",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res502 = responseDec(responseCode: 502,
							 responseCodeTitle: "Bad Gateway",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res503 = responseDec(responseCode: 503,
							 responseCodeTitle: "Service Unavailable",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res504 = responseDec(responseCode: 504,
							 responseCodeTitle: "Gateway Timeout",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res505 = responseDec(responseCode: 505,
							 responseCodeTitle: "HTTP Version Not Supported",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res506 = responseDec(responseCode: 506,
							 responseCodeTitle: "Variant Also Negotiates (Experimental)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res507 = responseDec(responseCode: 507,
							 responseCodeTitle: "Insufficient Storage (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res508 = responseDec(responseCode: 508,
							 responseCodeTitle: "Loop Detected (WebDAV)",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res509 = responseDec(responseCode: 509,
							 responseCodeTitle: "Bandwidth Limit Exceeded",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res510 = responseDec(responseCode: 510,
							 responseCodeTitle: "Not Extended",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res511 = responseDec(responseCode: 511,
							 responseCodeTitle: "Network Authentication Required",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res598 = responseDec(responseCode: 598,
							 responseCodeTitle: "Network read timeout error",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
	let res599 = responseDec(responseCode: 599,
							 responseCodeTitle: "Network connect timeout error",
							 simplifiedDef: "An unexpected error has occured, please restart the application.",
							 responseCodeType: "Server Error",
							 detailedDef: "If this issue persists please contact the development team.")
}
